%define snapdate 080608
%define rel 8

Summary:	Un Fonts in Koream
Name:		fonts-ttf-korean
Epoch:		1
Version:	1.0.2
Release:	%mkrel -c %snapdate %rel
URL:		http://kldp.net/projects/unfonts/
Source0:	http://kldp.net/frs/download.php/4695/un-fonts-core-%version-%snapdate.tar.gz
License:	GPLv2
Group:		System/Fonts/True type
BuildArch:	noarch
BuildRequires:	mkfontdir
Obsoletes: 	baekmuk hwan-fonts
Provides:	baekmuk hwan-fonts

%description
Un-fonts is comes from the HLaTeX as type1 fonts in 1998 by Koaunghi Un,
he made type1 fonts to use with Korean TeX(HLaTeX [1]) in the late 1990's and
release it under the GNU GPL license.

%prep
%setup -q -n un-fonts
 
%build

%install
install -d %buildroot/%{_datadir}/fonts/TTF/korean/
install -m 0644 *.ttf %buildroot/%{_datadir}/fonts/TTF/korean


(
cd %buildroot/%{_datadir}/fonts/TTF/korean
mkfontdir > fonts.dir
ln -sf fonts.dir fonts.scale
) 

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/korean \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-korean:pri=50


%files
%defattr(-,root,root,0755)
%doc README COPYING
%dir %{_datadir}/fonts/TTF/korean/
%{_datadir}/fonts/TTF/korean/*.ttf
%config(noreplace) %{_datadir}/fonts/TTF/korean/fonts.dir
%{_datadir}/fonts/TTF/korean/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-korean:pri=50




%changelog
* Tue Feb 02 2016 umeabot <umeabot> 1:1.0.2-0.080608.8.mga6
+ Revision: 931351
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0.2-0.080608.7.mga5
+ Revision: 741330
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0.2-0.080608.6.mga5
+ Revision: 679274
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:1.0.2-0.080608.5.mga4
+ Revision: 504566
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:1.0.2-0.080608.4.mga3
+ Revision: 350686
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 1:1.0.2-0.080608.3.mga1
+ Revision: 63528
- imported package fonts-ttf-korean


* Fri Dec 03 2010 Funda Wang <fwang@mandriva.org> 1:1.0.2-0.080608.3mdv2011.0
+ Revision: 605801
- fix build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Wed Jan 20 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1:1.0.2-0.080608.2mdv2010.1
+ Revision: 494149
- fc-cache is now called by an rpm filetrigger

* Mon Aug 04 2008 Funda Wang <fwang@mandriva.org> 1:1.0.2-0.080608.1mdv2009.0
+ Revision: 262884
- drop alias
- switch to un-fonts

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.1-10mdv2009.0
+ Revision: 220950
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 2.1-9mdv2008.1
+ Revision: 149799
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.1-8mdv2008.0
+ Revision: 48744
- fontpath.d conversion (#31756)
- minor cleanups


* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 23:11:49 (52892)
- Normalize fonts with new paths

* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 21:06:15 (52807)
- import fonts-ttf-korean-2.1-6mdk

* Tue Feb 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1-6mdk
- don't package fonts.cache-2 file
- fix post/postun script
- don't package /usr/share/fonts
- touch parent directory to workaround rpm changing directory last modification
  time (breaking fontconfig cache consistency detection)

* Sun Nov 13 2005 Abel Cheung <deaddog@mandriva.org> 2.1-5mdk
- new fontconfig cache file name
- fix dependencies
- don't install ghostscript related file, gs-cjk is no more

